
# define ruby directories
%define ruby_archdir       %(ruby -rrbconfig -e 'print RbConfig::CONFIG["archdir"]')
%define ruby_libdir        %(ruby -rrbconfig -e 'print RbConfig::CONFIG["rubylibdir"]')
%define ruby_sitearchdir   %(ruby -rrbconfig -e 'print RbConfig::CONFIG["sitearchdir"]')
%define ruby_sitelibdir    %(ruby -rrbconfig -e 'print RbConfig::CONFIG["sitelibdir"]')
%define ruby_vendorarchdir %(ruby -rrbconfig -e 'print RbConfig::CONFIG["vendorarchdir"]')
%define ruby_vendorlibdir  %(ruby -rrbconfig -e 'print RbConfig::CONFIG["vendorlibdir"]')
%define ruby_gemdir        %(ruby -rrbconfig -e 'print RbConfig::CONFIG["rubygemsdir"]')
%define ruby_ridir         %(ruby -rrbconfig -e 'print RbConfig::CONFIG["ridir"]')

Name:           ruby-augeas
Version:        0.5.0
Release:        1
Summary:        Ruby bindings for Augeas
Group:          Development/Languages
License:        LGPLv2+
URL:            http://augeas.net
Source0:        http://download.augeas.net/ruby/ruby-augeas-%{version}.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:  augeas-devel >= 1.1.0
BuildRequires:  pkg-config
BuildRequires:  ruby >= 2.0.0
BuildRequires:  ruby-devel >= 2.0.0
Requires:       ruby >= 2.0.0
Requires:       augeas-libs >= 1.1.0
Provides:       ruby(augeas) = %{version}

%description
Ruby bindings for augeas.


%prep
%setup -q


%build
rake build


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}%{ruby_vendorlibdir}
cp lib/augeas.rb ${RPM_BUILD_ROOT}%{ruby_vendorlibdir}/
chmod 0644 ${RPM_BUILD_ROOT}%{ruby_vendorlibdir}/*

mkdir -p ${RPM_BUILD_ROOT}%{ruby_vendorarchdir}
cp ext/augeas/_augeas.so ${RPM_BUILD_ROOT}%{ruby_vendorarchdir}/
chmod 0755 ${RPM_BUILD_ROOT}%{ruby_vendorarchdir}/*
/usr/bin/strip -X32_64 ${RPM_BUILD_ROOT}%{ruby_vendorarchdir}/* || :


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc COPYING README.rdoc NEWS
%{ruby_vendorlibdir}/augeas.rb
%{ruby_vendorarchdir}/_augeas.so


%changelog
* Thu Dec 12 2013 Michael Perzl <michael@perzl.org> - 0.5.0-1
- first version for AIX V5.1 and higher
